import { registerMicroApps, start } from 'qiankun'
import store from '../store'
// 子应用配置
export const apps = [
  {
    name: '子应用1',
    entry: '//localhost:9099',
    id: 'app1',
    container: '#app1',
    activeRule: '/app1',
    // 测试传参，并将store传递至子应用进行消息通信！
    props: { test: 1111, store }
  },
  {
    name: '子应用2',
    entry: '//localhost:8888',
    id: 'app2',
    type: 'qiankun',
    container: '#app2',
    activeRule: '/app2',
    // 测试传参，并将store传递至子应用进行消息通信！
    props: { test: 1111, store }
  }
]
//  乾坤初始化方法
export default function qianKunInit () {
  window.__POWERED_BY_QIANKUN_PARENT__ = true
  registerMicroApps(apps, {
    beforeLoad: [
      (app) => {
        console.log(app, '111111111111111111')
      }],
    destoryed: [
      (app) => {
      }
    ]
  })
  const mainEle = document.getElementById('qiankun-main')
  apps.forEach(item => {
    const child = document.createElement('div')
    child.id = item.id
    mainEle.appendChild(child)
    item.container = child
    console.log(child)
  })
  start({
    prefetch: false, // 可选，是否开启预加载，默认为 true。  不开启
    sandbox: true, // 可选，是否开启沙箱，默认为 true。// 从而确保微应用的样式不会对全局造成影响。
    singular: true // 可选，是否为单实例场景，单实例指的是同一时间只会渲染一个微应用。默认为 true。
  })
}
